fcitx5 安装相关

我的系统是 opensuse Tumbleweed 20200517

我先用 m17n 的源安装了 fcitx5,使用了 rime,好用,能输入。但是他缺省将 fcit4 安装上了。
然后,我找了
https://download.opensuse.org/repositories/home:/MargueriteSu:/fcitx5/openSUSE_Tumbleweed/
里边的 fcitx5,安装没问题,但是不能切换输入法。不能输入。
这 2 个肯定是 m17n 的比较新。但是有关联安装。没有什么两全其美的办法么?

顺便吐槽一下,为什么 Tumbleweed 的菜单顺序排序与 Leap 相反呢?